
Application: gvSIG desktop - gvSIG bugs #5251
Al copiar geometrías a una capa PostGIS se copian en  la tabla pero no copia la geometría
04/30/2020 08:03 PM - Mario Carrera
Description

Copiando una geometría de un SHP a una capa PostGIS sí que se copia el registro en la tabla, pero el campo "Geometry" sale
vacío, por lo que no se crea la geometría.

En el log no salta nada,

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5272: Error al conectar ... Closed 05/15/2020

Associated revisions
Revision 45003 - 05/04/2020 10:59 PM - Joaquín  del Cerro Murciano

refs #5251, correccion de la serializacion de las features a JSon cuando tiene un campo fecha.

Revision 45023 - 05/12/2020 07:21 AM - Francisco Díaz Carsí

refs #5251 Fixed serialization of features to JSon when they have a date field.

Revision 45039 - 05/18/2020 03:29 PM - Francisco Díaz Carsí

refs #5251 Fixed paste geometry from clipboard when fields haven't the same name.

History
#1 - 05/01/2020 08:38 PM - Óscar Martínez

¿Puedes comprobar que el campo Geometry está activado durante la exportación?

#2 - 05/04/2020 02:13 PM - Mario Carrera

No llego a realizar una exportación. Cargo el SHP, cargo la capa PostGIS, selecciono geometrías de la capa SHP, las copio, pongo en edición la capa
PostGIS, y las pego en ella.
Ahí es cuando se crean los registros en la tabla, pero sin geometría.

¿Dónde debe estar seleccionado?

¿Te refieres a que debe estar visible en el SHP cuando copio las geometrías?

#3 - 05/04/2020 10:58 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.5.1-3022
- Assignee set to Joaquín  del Cerro Murciano
- File gvSIG_logs.zip added

El problema le estaba pasando a Sergio en la lista de usuarios.
Parece que el error se produce al codificar los datos en JSon para dejarlos en el portapapeles.
Falla cuando se encuentra un campo de tipo fecha.

Espero que este corregido para el proximo build.

#4 - 05/04/2020 10:59 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#5 - 05/11/2020 11:24 AM - Mario Carrera
- Status changed from Fixed to New
- File gvSIG.log added

Sigue fallando en el 3022. Lo reabro y adjunto el log.

El error salta al copiar al portapapeles.

#6 - 05/11/2020 05:06 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3022 to 2.5.1-3023

#7 - 05/11/2020 05:08 PM - Joaquín  del Cerro Murciano
- Assignee changed from Joaquín  del Cerro Murciano to Francisco Díaz Carsí

#8 - 05/12/2020 07:21 AM - Francisco Díaz Carsí
- % Done changed from 0 to 100
- Status changed from New to Fixed

#9 - 05/15/2020 09:44 AM - Mario Carrera
- Target version changed from 2.5.1-3023 to 2.5.1-3024
- Status changed from Fixed to New

Lo he probado. Se ha solucionado lo del error que saltaba al copiar geometrías (que no lo habíamos detectado), ya que si copiamos de un SHP a otro
funciona.

Pero el copiar de un SHP a PostGIS, que era lo que creíamos que fallaba inicialmente (no al copiar la geometría sino al pegar en PostGIS), sigue
fallando. Si la pego en PostGIS se añade el registro en la bbdd pero el campo de la geometría está vacío, por lo que no se muestra.
#10 - 05/15/2020 10:57 AM - Mario Carrera
- File Parcelas_Rustica_actual.zip added

Adjunto SHP del cual copio geometrías.

Y los datos de la tabla a la cual copio, cogidos de PgAdmin, son:

--------------------
-- Table: ds_visualizador.capa_2

-- DROP TABLE ds_visualizador.capa_2;

CREATE TABLE ds_visualizador.capa_2
(
  gid serial NOT NULL,
  wkb_geometry geometry(MultiPolygon,25830),
  nombre character varying,
  fecha date,
  valor integer,
  adjudicado boolean DEFAULT false,
  presupuesto double precision,
  enm_4_trns character varying,
  modified_by character varying,
  last_modification date,
  CONSTRAINT capa_2_pkey PRIMARY KEY (gid)
)
WITH (
  OIDS=FALSE
);
ALTER TABLE ds_visualizador.capa_2
  OWNER TO gvsigonline;
------------------------------

En otra de las pruebas que he hecho pegando en otra capa difertente en otro servidor, los dos son Multipolygon2D, pero el "Campo geométrico" en la
capa PostGIS es "wkb_geometry" y en el SHP es "GEOMETRY".

#11 - 05/18/2020 09:20 AM - Francisco Díaz Carsí
- Status changed from New to Fixed

Las columnas de geometría de origen y destino deben tener el mismo nombre, en otro caso, si en la tabla de destino hubiera más de un campo de
tipo geometría, el proceso no sabría en cual de ellos debe pegar la geometría.

#12 - 05/18/2020 09:54 AM - Francisco Díaz Carsí
- Status changed from Fixed to In progress

Bueno, estamos pensando el tema de copiar la geometría aunque no tenga el mismo nombre.
#13 - 05/18/2020 11:02 AM - Álvaro Anguix
- Related to gvSIG bugs #5272: Error al conectar a PostGIS, al darle doble-click sobre la capa added

#14 - 05/18/2020 03:33 PM - Francisco Díaz Carsí
- Status changed from In progress to Fixed

#15 - 06/08/2020 02:25 PM - Mario Carrera
- Status changed from Fixed to Closed

Funciona en el 3024. Cierro el ticket.

Files
gvSIG_logs.zip 50 KB 05/04/2020 Joaquín  del Cerro Murciano
gvSIG.log 505 KB 05/11/2020 Mario Carrera
Parcelas_Rustica_actual.zip 2.57 MB 05/15/2020 Mario Carrera
